# Clients

A **client** (or customer) represents the individual or company you want to verify. Before running any checks, you must first create a client record.

The API allows you to create, retrieve, update, and delete clients. You can fetch a specific client or retrieve a list of all your clients.

### The Client object

<table data-full-width="false"><thead><tr><th width="240.01171875">Attribute</th><th width="81">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a client.</td></tr><tr><td><code>type</code></td><td>string</td><td><p>The type of client. Valid values are:</p><ol><li><code>person</code></li><li><code>company</code></li></ol></td></tr><tr><td><code>entityName</code></td><td>string</td><td>The client's full name.</td></tr><tr><td><code>email</code></td><td>string</td><td>The client's email address.</td></tr><tr><td><code>mobile</code></td><td>string</td><td>The client's mobile number.</td></tr><tr><td><code>telephone</code></td><td>string</td><td>The client's telephone number.</td></tr><tr><td><code>externalId</code></td><td>string</td><td>A unique identifier that you can associate with the client. For example, this can be the client ID in your system.</td></tr><tr><td><code>joinedDate</code></td><td>string</td><td>The date and time when you registered the client. This is relevant for users that migrate existing clients. The format is <code>YYYY-MM-DD</code>.</td></tr><tr><td><code>personDetails</code></td><td>object</td><td>Details for a client of type <code>person</code>.  Also, see the <a href="/pages/-M6VRrtR0EG7-RpEuG3s#the-persondetails-object">personDetails</a> object below.</td></tr><tr><td><code>companyDetails</code></td><td>object</td><td>Details for a client of type <code>company</code>. Also, see the <a href="/pages/-M6VRrtR0EG7-RpEuG3s#the-companydetails-object">companyDetails</a> object below.</td></tr><tr><td><code>metadata</code></td><td>object</td><td>Set of key-value pairs that you can associate with the client object. This is useful for storing additional information about the client in a structured format. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.</td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the client was created.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the client was updated.</td></tr></tbody></table>

#### The `personDetails` object&#x20;

<table data-full-width="false"><thead><tr><th width="240.1171875">Attribute</th><th width="85">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>firstName</code></td><td>string</td><td><p>The client's first name. </p><p>(<strong>Required</strong>)</p></td></tr><tr><td><code>middleName</code></td><td>string</td><td>The client's middle name. (<em>Optional)</em></td></tr><tr><td><code>lastName</code></td><td>string</td><td>The client's last name. (<strong>Required</strong>)</td></tr><tr><td><code>dob</code></td><td>string</td><td>The client's date of birth. The format is <code>YYYY-MM-DD</code>. (<em>Optional)</em></td></tr><tr><td><code>gender</code></td><td>string</td><td><p>The client's gender. Valid values include:</p><ol><li><code>male</code></li><li><code>female</code></li><li><code>other</code></li></ol><p> (<em>Optional)</em></p></td></tr><tr><td><code>nationality</code></td><td>string</td><td>The client's nationality. This will be the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">two-letter country ISO code</a>. (<em>Optional)</em></td></tr><tr><td><code>birthCountry</code></td><td>string</td><td>The client's birth country. This will be the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">two-letter country ISO code</a>. (<em>Optional)</em></td></tr><tr><td><code>ssn</code></td><td>string</td><td>The client's SSN (Social Security Number). This is for US clients. (<em>Optional)</em></td></tr><tr><td><code>socialInsuranceNumber</code></td><td>string</td><td>The client's Social Insurance Number. (<em>Optional)</em></td></tr><tr><td><code>nationalIdentityNumber</code></td><td>string</td><td>The client's National Identity Number. (<em>Optional)</em></td></tr><tr><td><code>taxIdentificationNumber</code></td><td>string</td><td>The client's Tax Identification Number (TIN). (<em>Optional)</em></td></tr></tbody></table>

#### The `companyDetails` object&#x20;

<table data-full-width="false"><thead><tr><th width="240.20703125">Attribute</th><th width="86">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>The client's name. (<strong>Required</strong>)</td></tr><tr><td><code>website</code></td><td>string</td><td>The client's website. (<em>Optional)</em></td></tr><tr><td><code>registrationNumber</code></td><td>string</td><td>The client's registration or incorporation number. (<em>Optional)</em></td></tr><tr><td><code>incorporationCountry</code></td><td>string</td><td>The client's incorporation country. This will be the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">two-letter country ISO code</a>. (<em>Optional)</em></td></tr><tr><td><code>incorporationType</code></td><td>string</td><td><p>The client's incorporation type. Valid values include:</p><ol><li><code>sole_proprietorship</code></li><li><code>private_limited_company</code></li><li><code>public_limited_company</code></li><li><code>partnership</code></li><li><code>limited_partnership</code></li><li><code>limited_liability_partnership</code></li><li><code>holding_company</code></li><li><code>non_government_organization</code></li><li><code>non_profit_organization</code></li><li><code>governmental_entity</code></li><li><code>statutory_company</code></li><li><code>subsidiary_company</code></li><li><code>unlimited_partnership</code></li><li><code>unlimited_company</code></li><li><code>trust</code></li><li><code>charitable_incorporated_organization</code></li><li><code>chartered_company</code></li><li><code>cooperative</code></li><li><code>professional_association</code></li><li><code>other</code></li></ol><p>(<em>Optional)</em></p></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/clients.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
